%define LIBMAJ 0
%define libname %mklibname %name %LIBMAJ

Summary:	Knoda is a database frontend for KDE. It is based on hk_classes.
Name:		knoda
Version:	0.6
Release:	3mdk
License:	GPL
Group:		Databases

Source:		http://hk-classes.sourceforge.net/%{name}-%{version}.tar.bz2

Url:		http://www.knoda.org
BuildRoot:	%_tmppath/%name-%version-root

BuildRequires:	libhk_classes0-devel kdelibs-devel chrpath XFree86-devel
Requires: 	hk_classes %{libname} = %{version}

%description

Knoda is a database frontend for KDE. It is based on hk_classes.
Knoda allows you to:

 * define and delete databases;
 * create, alter and delete tables and indices;
 * add, change and delete data in tables;
 * define, execute and store sql queries;
 * import and export CSV data;
 * define and use forms; and
 * define and print reports

Its driver concept allows a uniform connection to different database 
servers.

%package -n %{libname}
Summary:        Libraries for hk_kdeclasses
Group:          System/Libraries
Provides:      %{libname} = %{version}

%description -n %{libname}

Hk_kdeclasses libraries

%package -n %{libname}-devel
Summary:        Headers for hk_kdeclasses application development
Group:          Development/Databases
Requires:	%{libname}

%description -n %{libname}-devel

Hk_kdeclasses headers for application development

%prep
%setup -q -n %{name}-%{version}

%build
# (sb) configure macro breaks build
./configure \
  --prefix=%{_prefix} \
  --exec-prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --sbindir=%{_sbindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir} \
  --includedir=%{_includedir}/hk_kdeclasses \
  --libdir=%{_libdir} \
  --libexecdir=%{_libdir} \
  --localstatedir=%{_localstatedir} \
  --sharedstatedir=%{_sharedstatedir} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir}
%make

%install
make \
  DESTDIR=$RPM_BUILD_ROOT \
  prefix=%{_prefix} \
  exec-prefix=%{_prefix} \
  bindir=%{_bindir} \
  sbindir=%{_sbindir} \
  sysconfdir=%{_sysconfdir} \
  datadir=%{_datadir} \
  includedir=%{_includedir}/hk_kdeclasses \
  libdir=%{_libdir} \
  libexecdir=%{_libdir} \
  localstatedir=%{_localstatedir} \
  sharedstatedir=%{_sharedstatedir} \
  mandir=%{_mandir} \
  infodir=%{_infodir} \
  install


# (sb) clean up rpaths
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/knoda
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libhk_kdeclasses.so
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libhk_kdegridpart.so

# (sb) fix .la files
perl -pi -e "s|-L$RPM_BUILD_DIR/%{name}-%{version}/hk_kdeclasses/libhk_kdeclasses.la|%{_libdir}/libhk_kdeclasses.la|g" $RPM_BUILD_ROOT%{_libdir}/libhk_kdegridpart.la
perl -pi -e "s|-L$RPM_BUILD_DIR/%{name}-%{version}/hk_kdeclasses||g" $RPM_BUILD_ROOT%{_libdir}/libhk_kdegridpart.la

# (sb) relocate icons so app can find them
install -d $RPM_BUILD_ROOT/%{_iconsdir}
mv $RPM_BUILD_ROOT/%{_datadir}/*.png $RPM_BUILD_ROOT/%{_iconsdir}

# (sb) menu item
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/knoda" \
needs="x11" section="Office/Accessories" title="Knoda - Database Front End" \
longtitle="Knoda - Database Front End" icon="%{name}.png"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS INSTALL README
%{_bindir}/knoda

%{_datadir}/applnk/Office/knoda.desktop
%dir %{_datadir}/apps/hk_kdeclasses
%{_datadir}/apps/hk_kdeclasses/*.rc
%dir %{_datadir}/apps/knoda
%{_datadir}/apps/knoda/knodaui.rc
%dir %{_datadir}/doc/HTML/en/knoda
%{_datadir}/doc/HTML/en/knoda/index.cache.bz2
%{_datadir}/doc/HTML/en/knoda/index.docbook
%{_iconsdir}/*.png
%{_datadir}/icons/hicolor/16x16/apps/knoda.png
%{_datadir}/icons/hicolor/32x32/apps/knoda.png
%{_datadir}/icons/locolor/16x16/apps/knoda.png
%{_datadir}/icons/locolor/32x32/apps/knoda.png
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/knoda.mo
%lang(hu) %{_datadir}/locale/hu/LC_MESSAGES/knoda.mo
%{_datadir}/services/hk_kdegridpart.desktop
%{_menudir}/knoda
%{_libdir}/libhk_kdeclasses.la
%{_libdir}/libhk_kdegridpart.la

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libhk_kdeclasses.so
%{_libdir}/libhk_kdegridpart.so

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/hk_kdeclasses
%{_includedir}/hk_kdeclasses/*.h

%changelog
* Fri Aug  8 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-3mdk
- rebuild for new python2.3

* Mon May  5 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-2mdk
- fix provides, requires - Jrme Martin <jerome.f.martin@free.fr>

* Tue Apr 29 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-1mdk
- 0.6, BuildRequires, distriblint

* Thu Apr  3 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-0.pre2.2mdk
- move icons to where knoda can find them [Bug 3646]

* Mon Mar 31 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.6-0.pre2.1mdk
- first packaging
